﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor.XR.Interaction.Toolkit;
using UnityEditor;

[CustomEditor(typeof(Gun))]
public class GunEditor :  XRGrabInteractableEditor
{
    private SerializedProperty bulletPrefab = null;
    private SerializedProperty bulletTransform = null;

    protected override void OnEnable()
    {
        base.OnEnable();
        bulletPrefab = serializedObject.FindProperty("bulletPrefab");
        bulletTransform = serializedObject.FindProperty("bulletTransform");
    }
    protected override void DrawProperties()
    {
        base.DrawProperties();
        EditorGUILayout.PropertyField(bulletPrefab);
        EditorGUILayout.PropertyField(bulletTransform);
    }
}
