﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;
using UnityEditor.XR.Interaction.Toolkit;

[CustomEditor(typeof(Spawner))]
public class SpawnerEditor : XRBaseInteractableEditor
{
    // Property to be showned in inspector
    public SerializedProperty prefab = null;

    protected override void OnEnable()
    {
        base.OnEnable();
        // Find the property in original script
        prefab = serializedObject.FindProperty("prefab");
    }
    protected override void DrawProperties()
    {
        base.DrawProperties();
        // Display properly field
        EditorGUILayout.PropertyField(prefab);
    }
}