﻿using UnityEngine;

/// <summary>
/// Interface with ability to react to bullets
/// </summary>
public interface IHittable
{
    /// <summary>
    /// Called method when the object is hit
    /// </summary>
    void Hit(Transform hitTransform, float force);
}
