﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor.XR.Interaction.Toolkit;
using UnityEditor;

[CustomEditor(typeof(Socket))]
public class SocketEditor : XRSocketInteractorEditor
{
    private SerializedProperty types = null;

    protected override void OnEnable()
    {
        base.OnEnable();
        types = serializedObject.FindProperty("types");
    }
    protected override void DrawProperties()
    {
        base.DrawProperties();
        EditorGUILayout.PropertyField(types);
    }
}
